package com.dayou.bo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Objects;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/3/10
 * created with IntelliJ IDEA.
 */
@Data
public class LeaderRatioBO {

    private Long userId;

    private Long postId;

    private String postName;

    private BigDecimal ratio;

    private String brokerageRule;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        LeaderRatioBO that = (LeaderRatioBO) o;
        return userId.equals(that.userId);
    }

    @Override
    public int hashCode() {
        return Objects.hash(userId);
    }
}
